#pragma once

#include <SFML/Graphics.hpp>

using namespace sf;

class Map: public Sprite
{
public:
	Map();
	~Map();
	Vector2u getSize() const;
	bool collision(const Vector2f coords) const;
	void destroy(const Vector2f coords, int radius);
private:
	Texture _tex;
	Image _img;
};